10 Feedback Company
from 44 reviews

What are the requirements for the OBDLink app and OBDWiz?

The OBDLink app is compatible with iOS, Android and Windows devices.

  • iOS 9 and newer
  • Android 4.4 and newer (SDK v19+)
  • Windows Phone 8 and newer

The OBDWiz software for PC is suitable for:

  • Windows 7
  • Windows 8
  • Windows 8.1
  • Windows 10
  • Windows 11

There is no MAC or Linux version available.